Redmine - Feature #16535

Set a max width to html email content
2014-04-06 14:28 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 3.1.0

Resolution: Fixed

Description

This is proposal for new CSS of new notification emails, inproving readability.

Current Style:
Issue #61 has been updated by Go MAEDA.

Lorem ipsum dolor sit amet, error consequat efficiantur cu quo, cu eam apeirian incorrupte, at vis inani scripserit. Aliquip apeirian consectetuer et duo, in probo volumus
verterem nam. Per dicant possit eleifend ut, duo ut suas causae mediocritatem. Et maiorum perpetua duo, ullum ullamcorper vel eu. Cu tincidunt comprehensam sit, alia
possim ad cum.

IV #61: Lorem ipsum

® Author: Go MAEDA
e Status: ¥fiE

® Priority: ##%

® Assignee: Go MAEDA
® Category:

® Target version:

Lorem ipsum dolor sit amet, error consequat efficiantur cu quo, cu eam apeirian incorrupte, at vis inani scripserit. Aliquip apeirian consectetuer et duo, in probo volumus
verterem nam. Per dicant possit eleifend ut, duo ut suas causae mediocritatem. Et maiorum perpetua duo, ullum ullamcorper vel eu. Cu tincidunt comprehensam sit, alia
possim ad cum.

You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://hostname/my/account

Proposing style:

Issue #61 has been updated by Go MAEDA.

Lorem ipsum dolor sit amet, error consequat efficiantur cu quo, cu eam apeirian incorrupte, at vis inani scripserit.
Aliquip apeirian consectetuer et duo, in probo volumus verterem nam. Per dicant possit eleifend ut, duo ut suas
causae mediocritatemn. Et maiorum perpetua duo, ullum ullamcorper vel eu. Cu tincidunt comprehensam sit, alia
possim ad cum.

I #61: Lorem ipsum

® Author: Go MAEDA

® Status: ¥TiE

* Priority: #%

® Assignee: Go MAEDA

* Category:

® Target version:

Lorem ipsum dolor sit amet, error consequat efficiantur cu guo, cu eam apeirian incorrupte, at vis inani scripserit.
Aliquip apeirian consectetuer et duo, in probo volumus verterem nam. Per dicant possit eleifend ut, duo ut suas
causae mediocritatem. Et maiorum perpetua duo, ullum ullamcorper vel eu. Cu tincidunt comprehensam sit, alia
possim ad cum.

You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://hostname/my/account

Related issues:
Related to Redmine - Defect #20466: Broken email notification layout in Outlook Closed
Copied to Redmine - Feature #20641: Set a max width to html email content (fo... New

Associated revisions

Revision 14300 - 2015-06-06 09:32 - Jean-Philippe Lang
Set a max width to html email content (#16535).

Patch by Go MAEDA.

Revision 14539 - 2015-08-31 09:20 - Toshi MARUYAMA
3.1-stable: revert r14300 (#16535, #20466)

Set a max width to html email content.

Patch by Go MAEDA.

Revision 14541 - 2015-09-01 02:15 - Toshi MARUYAMA
trunk: revert r14300 (#16535, #20466, #20641)

Set a max width to html email content.

Patch by Go MAEDA.

History

#1 - 2014-05-28 06:01 - Go MAEDA

Developement team, what do you think about this patch? Any feedback please.

#2 - 2014-06-24 08:48 - Toshi MARUYAMA

What is merit to use "max-width: 60em;"?

#3 - 2014-06-24 12:32 - Go MAEDA
Toshi MARUYAMA wrote:

What is merit to use "max-width: 60em;"?

Without the limit, line lengths get too long when maximize a window of e-mail clients. It is painful to read if lines are too long.

#4 - 2015-02-17 18:00 - Kai M

+1
Looks cleaner

#5 - 2015-03-19 06:25 - Toshi MARUYAMA

- Target version set to 3.1.0

#6 - 2015-06-06 09:34 - Jean-Philippe Lang

- Subject changed from new notification email style to Set a max width to html email content
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Looks cleaner indeed. Patch is committed, with margins reduced a bit.
Thanks.

#7 - 2015-08-05 16:31 - Go MAEDA
- Related to Defect #20466: Broken email notification layout in Outlook added

#8 - 2015-08-30 18:22 - Sebastian Paluch

This does not work in Outlook and emails looks bad now... | have created #20637.

#9 - 2015-08-31 09:26 - Toshi MARUYAMA
https://www.redmine.org/issues/20637

- Copied to Feature #20641: Set a max width to html email content (for 3.2) added

Files

email_css_improvement.diff 3.38 KB 2014-04-06 Go MAEDA

email-style-proposing.png 110 KB 2014-04-06 Go MAEDA

email-style-current.png 93 KB 2014-04-06 Go MAEDA
